<html>
<head>
<title>OGRE: Ogre::SkeletonSerializer Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1SkeletonSerializer.html">SkeletonSerializer</a></div>
<h1>Ogre::SkeletonSerializer Class Reference</h1><!-- doxytag: class="Ogre::SkeletonSerializer" --><!-- doxytag: inherits="Ogre::Serializer" -->Class for serialising skeleton data to/from an OGRE .skeleton file.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreSkeletonSerializer_8h-source.html">OgreSkeletonSerializer.h</a>&gt;</code>
<p>
<div class="dynheader">
Inheritance diagram for Ogre::SkeletonSerializer:</div>
<div class="dynsection">
<center><font size="2">[<a href="graph_legend.html">legend</a>]</font></center></div>

<p>
<a href="classOgre_1_1SkeletonSerializer-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Types</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Serializer.html#5122d5a3161fb5fd819d9a0521fe9d39">Endian</a> { <a class="el" href="classOgre_1_1Serializer.html#5122d5a3161fb5fd819d9a0521fe9d39ed60ca999861d8939cf57f19090c70ef">ENDIAN_NATIVE</a>, 
<a class="el" href="classOgre_1_1Serializer.html#5122d5a3161fb5fd819d9a0521fe9d397f044c7683a7374276db6e7060f51240">ENDIAN_BIG</a>, 
<a class="el" href="classOgre_1_1Serializer.html#5122d5a3161fb5fd819d9a0521fe9d3910ce3b8f55cba526f6bc8237d8b25cc3">ENDIAN_LITTLE</a>
 }</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The endianness of written files.  <a href="classOgre_1_1Serializer.html#5122d5a3161fb5fd819d9a0521fe9d39">More...</a><br></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SkeletonSerializer.html#7f61ab4bc3f409dc5098198a5adc74e2">SkeletonSerializer</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SkeletonSerializer.html#fc1af70edf4987da2ad8f3614c1759f2">~SkeletonSerializer</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SkeletonSerializer.html#e5130f00711c157d7c29d0793122f0ba">exportSkeleton</a> (const <a class="el" href="classOgre_1_1Skeleton.html">Skeleton</a> *pSkeleton, const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;filename, <a class="el" href="classOgre_1_1Serializer.html#5122d5a3161fb5fd819d9a0521fe9d39">Endian</a> endianMode=ENDIAN_NATIVE)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Exports a skeleton to the file specified.  <a href="#e5130f00711c157d7c29d0793122f0ba"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SkeletonSerializer.html#c44c49d0a5b668129d7e228a9fb046b8">importSkeleton</a> (<a class="el" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a> &amp;stream, <a class="el" href="classOgre_1_1Skeleton.html">Skeleton</a> *pDest)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Imports <a class="el" href="classOgre_1_1Skeleton.html" title="A collection of Bone objects used to animate a skinned mesh.">Skeleton</a> and animation data from a .skeleton file <a class="el" href="classOgre_1_1DataStream.html" title="General purpose class used for encapsulating the reading of data.">DataStream</a>.  <a href="#c44c49d0a5b668129d7e228a9fb046b8"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Protected Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SkeletonSerializer.html#acc9964ae3e798ce501b77fac166bce1">writeSkeleton</a> (const <a class="el" href="classOgre_1_1Skeleton.html">Skeleton</a> *pSkel)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SkeletonSerializer.html#384e94e83fc8b830b0d4806c7c1d31e0">writeBone</a> (const <a class="el" href="classOgre_1_1Skeleton.html">Skeleton</a> *pSkel, const <a class="el" href="classOgre_1_1Bone.html">Bone</a> *pBone)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SkeletonSerializer.html#9d1979b34e8f8a79c1f636fe1df0bbce">writeBoneParent</a> (const <a class="el" href="classOgre_1_1Skeleton.html">Skeleton</a> *pSkel, unsigned short boneId, unsigned short parentId)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SkeletonSerializer.html#05003f4bc73837c27535dc781c220901">writeAnimation</a> (const <a class="el" href="classOgre_1_1Skeleton.html">Skeleton</a> *pSkel, const <a class="el" href="classOgre_1_1Animation.html">Animation</a> *anim)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SkeletonSerializer.html#577bdf2fcf0f5e90010e5e108ae1c005">writeAnimationTrack</a> (const <a class="el" href="classOgre_1_1Skeleton.html">Skeleton</a> *pSkel, const <a class="el" href="classOgre_1_1NodeAnimationTrack.html">NodeAnimationTrack</a> *track)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SkeletonSerializer.html#2a6c8e2e4c3e636fca264bd2cd184f51">writeKeyFrame</a> (const <a class="el" href="classOgre_1_1Skeleton.html">Skeleton</a> *pSkel, const <a class="el" href="classOgre_1_1TransformKeyFrame.html">TransformKeyFrame</a> *key)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SkeletonSerializer.html#a30096f8afbabfed4c04ee4d63a2044d">writeSkeletonAnimationLink</a> (const <a class="el" href="classOgre_1_1Skeleton.html">Skeleton</a> *pSkel, const <a class="el" href="structOgre_1_1LinkedSkeletonAnimationSource.html">LinkedSkeletonAnimationSource</a> &amp;link)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SkeletonSerializer.html#8a2e21f2bdd349413f2ae644160cdd6a">readBone</a> (<a class="el" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a> &amp;stream, <a class="el" href="classOgre_1_1Skeleton.html">Skeleton</a> *pSkel)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SkeletonSerializer.html#f14f5ac058e7a0ca7aad4cd349726683">readBoneParent</a> (<a class="el" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a> &amp;stream, <a class="el" href="classOgre_1_1Skeleton.html">Skeleton</a> *pSkel)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SkeletonSerializer.html#f6e9b9a30c652634386f15b827e7c917">readAnimation</a> (<a class="el" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a> &amp;stream, <a class="el" href="classOgre_1_1Skeleton.html">Skeleton</a> *pSkel)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SkeletonSerializer.html#d0ef954a9e60c354fc40b66299be0fa3">readAnimationTrack</a> (<a class="el" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a> &amp;stream, <a class="el" href="classOgre_1_1Animation.html">Animation</a> *anim, <a class="el" href="classOgre_1_1Skeleton.html">Skeleton</a> *pSkel)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SkeletonSerializer.html#1c1db3df49de0e99ec6b660cee0514a5">readKeyFrame</a> (<a class="el" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a> &amp;stream, <a class="el" href="classOgre_1_1NodeAnimationTrack.html">NodeAnimationTrack</a> *track, <a class="el" href="classOgre_1_1Skeleton.html">Skeleton</a> *pSkel)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SkeletonSerializer.html#2bb3ca4a90d52b50d6391196b56eafd6">readSkeletonAnimationLink</a> (<a class="el" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a> &amp;stream, <a class="el" href="classOgre_1_1Skeleton.html">Skeleton</a> *pSkel)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SkeletonSerializer.html#44ba3d49d4a7981bcb5ed250dccd216e">calcBoneSize</a> (const <a class="el" href="classOgre_1_1Skeleton.html">Skeleton</a> *pSkel, const <a class="el" href="classOgre_1_1Bone.html">Bone</a> *pBone)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SkeletonSerializer.html#0978b79b95cc3ef2dc77b1f06850bd98">calcBoneSizeWithoutScale</a> (const <a class="el" href="classOgre_1_1Skeleton.html">Skeleton</a> *pSkel, const <a class="el" href="classOgre_1_1Bone.html">Bone</a> *pBone)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SkeletonSerializer.html#ab3eb6d1331193108855d00e48006ef3">calcBoneParentSize</a> (const <a class="el" href="classOgre_1_1Skeleton.html">Skeleton</a> *pSkel)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SkeletonSerializer.html#e71c1e64090d98c6802f7c8887dbd546">calcAnimationSize</a> (const <a class="el" href="classOgre_1_1Skeleton.html">Skeleton</a> *pSkel, const <a class="el" href="classOgre_1_1Animation.html">Animation</a> *pAnim)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SkeletonSerializer.html#1438e602e95c72e7550b33e69ce79b4b">calcAnimationTrackSize</a> (const <a class="el" href="classOgre_1_1Skeleton.html">Skeleton</a> *pSkel, const <a class="el" href="classOgre_1_1NodeAnimationTrack.html">NodeAnimationTrack</a> *pTrack)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SkeletonSerializer.html#a2578877105d55d56d9b6932fd6464f2">calcKeyFrameSize</a> (const <a class="el" href="classOgre_1_1Skeleton.html">Skeleton</a> *pSkel, const <a class="el" href="classOgre_1_1TransformKeyFrame.html">TransformKeyFrame</a> *pKey)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SkeletonSerializer.html#c803922dbab28296351aa299596b0de4">calcKeyFrameSizeWithoutScale</a> (const <a class="el" href="classOgre_1_1Skeleton.html">Skeleton</a> *pSkel, const <a class="el" href="classOgre_1_1TransformKeyFrame.html">TransformKeyFrame</a> *pKey)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SkeletonSerializer.html#c9ee56e3a1eabea3db18484e3617f75c">calcSkeletonAnimationLinkSize</a> (const <a class="el" href="classOgre_1_1Skeleton.html">Skeleton</a> *pSkel, const <a class="el" href="structOgre_1_1LinkedSkeletonAnimationSource.html">LinkedSkeletonAnimationSource</a> &amp;link)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Serializer.html#7a25395a380ecdda85b1baeacf4a8a07">writeFileHeader</a> (void)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Serializer.html#fa565aa6d4619af064a12f470539e575">writeChunkHeader</a> (<a class="el" href="namespaceOgre.html#a8263b218e7d187ad5ef03a73a6ad7fd">uint16</a> id, size_t size)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Serializer.html#eab7d76e6f420e1be6e6c60d9b12a6c6">writeFloats</a> (const float *const pfloat, size_t count)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Serializer.html#063a40c4984f04d0ddf41096a5ffd9b5">writeFloats</a> (const double *const pfloat, size_t count)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Serializer.html#dd3fca628a66fa8f58db9a98bfbee78e">writeShorts</a> (const <a class="el" href="namespaceOgre.html#a8263b218e7d187ad5ef03a73a6ad7fd">uint16</a> *const pShort, size_t count)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Serializer.html#8191e338697b554a8ccf4fc16fd4a47e">writeInts</a> (const <a class="el" href="namespaceOgre.html#df2a0cf2e77143b5ee1d38a75e289545">uint32</a> *const pInt, size_t count)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Serializer.html#4f7209961701f9c90c5e48f264394d48">writeBools</a> (const bool *const pLong, size_t count)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Serializer.html#c76c37d13ca53e5af9c146c546d0f401">writeObject</a> (const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;vec)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Serializer.html#3152bb5fb33d99dff568b6d03d6c25e0">writeObject</a> (const <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> &amp;q)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Serializer.html#5ee71fde1e0d85bd15172b023474174e">writeString</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;string)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Serializer.html#3eb5614dd7d87ce109d74f5bb6f07b0f">writeData</a> (const void *const buf, size_t size, size_t count)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Serializer.html#5fcbfcf0fdacd57eed50bd4ec1d39248">readFileHeader</a> (<a class="el" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a> &amp;stream)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual unsigned short&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Serializer.html#333f02260ebafef1648f5824a60e499d">readChunk</a> (<a class="el" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a> &amp;stream)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Serializer.html#95ed554722facb385f7fa3b53622356b">readBools</a> (<a class="el" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a> &amp;stream, bool *pDest, size_t count)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Serializer.html#3d7fb441425335ae97b4a157179db336">readFloats</a> (<a class="el" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a> &amp;stream, float *pDest, size_t count)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Serializer.html#ec3cb2bc0bd8a31fc799323777881662">readFloats</a> (<a class="el" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a> &amp;stream, double *pDest, size_t count)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Serializer.html#9c2e328bda8cc2e0ae7f202ad643f0d2">readShorts</a> (<a class="el" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a> &amp;stream, <a class="el" href="namespaceOgre.html#a8263b218e7d187ad5ef03a73a6ad7fd">uint16</a> *pDest, size_t count)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Serializer.html#8ac6fb727f1d63972b17269d473dfbe6">readInts</a> (<a class="el" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a> &amp;stream, <a class="el" href="namespaceOgre.html#df2a0cf2e77143b5ee1d38a75e289545">uint32</a> *pDest, size_t count)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Serializer.html#1bd2ca7c8454264f1bffe703bfe5935d">readObject</a> (<a class="el" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a> &amp;stream, <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;pDest)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Serializer.html#13a9f1111633227f422fef070f6008f6">readObject</a> (<a class="el" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a> &amp;stream, <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> &amp;pDest)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Serializer.html#235a4bb6da1fe66326b1c05678ad878f">readString</a> (<a class="el" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a> &amp;stream)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Serializer.html#a8ed220a17c4edb0ed32f925fbe837f6">readString</a> (<a class="el" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a> &amp;stream, size_t numChars)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Serializer.html#61ff1a3d78ef5d23cabe1322a438ea22">flipToLittleEndian</a> (void *pData, size_t size, size_t count=1)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Serializer.html#5beba950e3b4635070b3bb8eb41c408c">flipFromLittleEndian</a> (void *pData, size_t size, size_t count=1)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Serializer.html#405c917e6b188b6d6ead13678295232f">flipEndian</a> (void *pData, size_t size, size_t count)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Serializer.html#89070a1dc03c189077deabce47120165">flipEndian</a> (void *pData, size_t size)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Serializer.html#93f9ec041b52aa6066fd0063733506b6">determineEndianness</a> (<a class="el" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a> &amp;stream)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Determine the endianness of the incoming stream compared to native.  <a href="#93f9ec041b52aa6066fd0063733506b6"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Serializer.html#61f017bac1e2b407925576284bc7665b">determineEndianness</a> (<a class="el" href="classOgre_1_1Serializer.html#5122d5a3161fb5fd819d9a0521fe9d39">Endian</a> requestedEndian)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Determine the endianness to write with based on option.  <a href="#61f017bac1e2b407925576284bc7665b"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#df2a0cf2e77143b5ee1d38a75e289545">uint32</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Serializer.html#6331ceec847b83fed77165c9522eaa4f">mCurrentstreamLen</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">FILE *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Serializer.html#adee4932c73bfbcb3104245bbba4b50f">mpfFile</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Serializer.html#45b8d6fa3d3c64b3ab3dfe3a5084e3b4">mVersion</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Serializer.html#a0773a2ca956fa2864ac50f57d0aa9a2">mFlipEndian</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Class for serialising skeleton data to/from an OGRE .skeleton file. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>This class allows exporters to write OGRE .skeleton files easily, and allows the OGRE engine to import .skeleton files into instatiated OGRE <a class="el" href="classOgre_1_1Skeleton.html" title="A collection of Bone objects used to animate a skinned mesh.">Skeleton</a> objects. Note that a .skeleton file includes not only the <a class="el" href="classOgre_1_1Skeleton.html" title="A collection of Bone objects used to animate a skinned mesh.">Skeleton</a>, but also definitions of any Animations it uses. </dd></dl>
<dl class="user" compact><dt><b></b></dt><dd>To export a <a class="el" href="classOgre_1_1Skeleton.html" title="A collection of Bone objects used to animate a skinned mesh.">Skeleton</a>:<ol>
<li>
Create a <a class="el" href="classOgre_1_1Skeleton.html" title="A collection of Bone objects used to animate a skinned mesh.">Skeleton</a> object and populate it using it's methods. </li>
<li>
Call the exportSkeleton method </li>
</ol>
</dd></dl>

<p>Definition at line <a class="el" href="OgreSkeletonSerializer_8h-source.html#l00051">51</a> of file <a class="el" href="OgreSkeletonSerializer_8h-source.html">OgreSkeletonSerializer.h</a>.</p>
<hr><h2>Member Enumeration Documentation</h2>
<a class="anchor" name="5122d5a3161fb5fd819d9a0521fe9d39"></a><!-- doxytag: member="Ogre::SkeletonSerializer::Endian" ref="5122d5a3161fb5fd819d9a0521fe9d39" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="classOgre_1_1Serializer.html#5122d5a3161fb5fd819d9a0521fe9d39">Ogre::Serializer::Endian</a><code> [inherited]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
The endianness of written files. 
<p>
<dl compact><dt><b>Enumerator: </b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td valign="top"><em><a class="anchor" name="5122d5a3161fb5fd819d9a0521fe9d39ed60ca999861d8939cf57f19090c70ef"></a><!-- doxytag: member="ENDIAN_NATIVE" ref="5122d5a3161fb5fd819d9a0521fe9d39ed60ca999861d8939cf57f19090c70ef" args="" -->ENDIAN_NATIVE</em>&nbsp;</td><td>
Use the platform native endian. </td></tr>
<tr><td valign="top"><em><a class="anchor" name="5122d5a3161fb5fd819d9a0521fe9d397f044c7683a7374276db6e7060f51240"></a><!-- doxytag: member="ENDIAN_BIG" ref="5122d5a3161fb5fd819d9a0521fe9d397f044c7683a7374276db6e7060f51240" args="" -->ENDIAN_BIG</em>&nbsp;</td><td>
Use big endian (0x1000 is serialised as 0x10 0x00). </td></tr>
<tr><td valign="top"><em><a class="anchor" name="5122d5a3161fb5fd819d9a0521fe9d3910ce3b8f55cba526f6bc8237d8b25cc3"></a><!-- doxytag: member="ENDIAN_LITTLE" ref="5122d5a3161fb5fd819d9a0521fe9d3910ce3b8f55cba526f6bc8237d8b25cc3" args="" -->ENDIAN_LITTLE</em>&nbsp;</td><td>
Use little endian (0x1000 is serialised as 0x00 0x10). </td></tr>
</table>
</dl>

<p>Definition at line <a class="el" href="OgreSerializer_8h-source.html#l00051">51</a> of file <a class="el" href="OgreSerializer_8h-source.html">OgreSerializer.h</a>.</p>

</div>
</div><p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="7f61ab4bc3f409dc5098198a5adc74e2"></a><!-- doxytag: member="Ogre::SkeletonSerializer::SkeletonSerializer" ref="7f61ab4bc3f409dc5098198a5adc74e2" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::SkeletonSerializer::SkeletonSerializer           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="fc1af70edf4987da2ad8f3614c1759f2"></a><!-- doxytag: member="Ogre::SkeletonSerializer::~SkeletonSerializer" ref="fc1af70edf4987da2ad8f3614c1759f2" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual Ogre::SkeletonSerializer::~SkeletonSerializer           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="e5130f00711c157d7c29d0793122f0ba"></a><!-- doxytag: member="Ogre::SkeletonSerializer::exportSkeleton" ref="e5130f00711c157d7c29d0793122f0ba" args="(const Skeleton *pSkeleton, const String &amp;filename, Endian endianMode=ENDIAN_NATIVE)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::SkeletonSerializer::exportSkeleton           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Skeleton.html">Skeleton</a> *&nbsp;</td>
          <td class="paramname"> <em>pSkeleton</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>filename</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Serializer.html#5122d5a3161fb5fd819d9a0521fe9d39">Endian</a>&nbsp;</td>
          <td class="paramname"> <em>endianMode</em> = <code>ENDIAN_NATIVE</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Exports a skeleton to the file specified. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>This method takes an externally created <a class="el" href="classOgre_1_1Skeleton.html" title="A collection of Bone objects used to animate a skinned mesh.">Skeleton</a> object, and exports both it and animations it uses to a .skeleton file. </dd></dl>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>pSkeleton</em>&nbsp;</td><td>Weak reference to the <a class="el" href="classOgre_1_1Skeleton.html" title="A collection of Bone objects used to animate a skinned mesh.">Skeleton</a> to export </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>filename</em>&nbsp;</td><td>The destination filename </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>endianMode</em>&nbsp;</td><td>The endian mode to write in </td></tr>
  </table>
</dl>

</div>
</div><p>
<a class="anchor" name="c44c49d0a5b668129d7e228a9fb046b8"></a><!-- doxytag: member="Ogre::SkeletonSerializer::importSkeleton" ref="c44c49d0a5b668129d7e228a9fb046b8" args="(DataStreamPtr &amp;stream, Skeleton *pDest)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::SkeletonSerializer::importSkeleton           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>stream</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Skeleton.html">Skeleton</a> *&nbsp;</td>
          <td class="paramname"> <em>pDest</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Imports <a class="el" href="classOgre_1_1Skeleton.html" title="A collection of Bone objects used to animate a skinned mesh.">Skeleton</a> and animation data from a .skeleton file <a class="el" href="classOgre_1_1DataStream.html" title="General purpose class used for encapsulating the reading of data.">DataStream</a>. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>This method imports data from a <a class="el" href="classOgre_1_1DataStream.html" title="General purpose class used for encapsulating the reading of data.">DataStream</a> opened from a .skeleton file and places it's contents into the <a class="el" href="classOgre_1_1Skeleton.html" title="A collection of Bone objects used to animate a skinned mesh.">Skeleton</a> object which is passed in. </dd></dl>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>stream</em>&nbsp;</td><td>The <a class="el" href="classOgre_1_1DataStream.html" title="General purpose class used for encapsulating the reading of data.">DataStream</a> holding the .skeleton data. Must be initialised (pos at the start of the buffer). </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>pDest</em>&nbsp;</td><td>Weak reference to the <a class="el" href="classOgre_1_1Skeleton.html" title="A collection of Bone objects used to animate a skinned mesh.">Skeleton</a> object which will receive the data. Should be blank already. </td></tr>
  </table>
</dl>

</div>
</div><p>
<a class="anchor" name="acc9964ae3e798ce501b77fac166bce1"></a><!-- doxytag: member="Ogre::SkeletonSerializer::writeSkeleton" ref="acc9964ae3e798ce501b77fac166bce1" args="(const Skeleton *pSkel)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::SkeletonSerializer::writeSkeleton           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Skeleton.html">Skeleton</a> *&nbsp;</td>
          <td class="paramname"> <em>pSkel</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="384e94e83fc8b830b0d4806c7c1d31e0"></a><!-- doxytag: member="Ogre::SkeletonSerializer::writeBone" ref="384e94e83fc8b830b0d4806c7c1d31e0" args="(const Skeleton *pSkel, const Bone *pBone)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::SkeletonSerializer::writeBone           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Skeleton.html">Skeleton</a> *&nbsp;</td>
          <td class="paramname"> <em>pSkel</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Bone.html">Bone</a> *&nbsp;</td>
          <td class="paramname"> <em>pBone</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="9d1979b34e8f8a79c1f636fe1df0bbce"></a><!-- doxytag: member="Ogre::SkeletonSerializer::writeBoneParent" ref="9d1979b34e8f8a79c1f636fe1df0bbce" args="(const Skeleton *pSkel, unsigned short boneId, unsigned short parentId)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::SkeletonSerializer::writeBoneParent           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Skeleton.html">Skeleton</a> *&nbsp;</td>
          <td class="paramname"> <em>pSkel</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned short&nbsp;</td>
          <td class="paramname"> <em>boneId</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned short&nbsp;</td>
          <td class="paramname"> <em>parentId</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="05003f4bc73837c27535dc781c220901"></a><!-- doxytag: member="Ogre::SkeletonSerializer::writeAnimation" ref="05003f4bc73837c27535dc781c220901" args="(const Skeleton *pSkel, const Animation *anim)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::SkeletonSerializer::writeAnimation           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Skeleton.html">Skeleton</a> *&nbsp;</td>
          <td class="paramname"> <em>pSkel</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Animation.html">Animation</a> *&nbsp;</td>
          <td class="paramname"> <em>anim</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="577bdf2fcf0f5e90010e5e108ae1c005"></a><!-- doxytag: member="Ogre::SkeletonSerializer::writeAnimationTrack" ref="577bdf2fcf0f5e90010e5e108ae1c005" args="(const Skeleton *pSkel, const NodeAnimationTrack *track)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::SkeletonSerializer::writeAnimationTrack           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Skeleton.html">Skeleton</a> *&nbsp;</td>
          <td class="paramname"> <em>pSkel</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1NodeAnimationTrack.html">NodeAnimationTrack</a> *&nbsp;</td>
          <td class="paramname"> <em>track</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="2a6c8e2e4c3e636fca264bd2cd184f51"></a><!-- doxytag: member="Ogre::SkeletonSerializer::writeKeyFrame" ref="2a6c8e2e4c3e636fca264bd2cd184f51" args="(const Skeleton *pSkel, const TransformKeyFrame *key)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::SkeletonSerializer::writeKeyFrame           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Skeleton.html">Skeleton</a> *&nbsp;</td>
          <td class="paramname"> <em>pSkel</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1TransformKeyFrame.html">TransformKeyFrame</a> *&nbsp;</td>
          <td class="paramname"> <em>key</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="a30096f8afbabfed4c04ee4d63a2044d"></a><!-- doxytag: member="Ogre::SkeletonSerializer::writeSkeletonAnimationLink" ref="a30096f8afbabfed4c04ee4d63a2044d" args="(const Skeleton *pSkel, const LinkedSkeletonAnimationSource &amp;link)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::SkeletonSerializer::writeSkeletonAnimationLink           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Skeleton.html">Skeleton</a> *&nbsp;</td>
          <td class="paramname"> <em>pSkel</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="structOgre_1_1LinkedSkeletonAnimationSource.html">LinkedSkeletonAnimationSource</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>link</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="8a2e21f2bdd349413f2ae644160cdd6a"></a><!-- doxytag: member="Ogre::SkeletonSerializer::readBone" ref="8a2e21f2bdd349413f2ae644160cdd6a" args="(DataStreamPtr &amp;stream, Skeleton *pSkel)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::SkeletonSerializer::readBone           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>stream</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Skeleton.html">Skeleton</a> *&nbsp;</td>
          <td class="paramname"> <em>pSkel</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="f14f5ac058e7a0ca7aad4cd349726683"></a><!-- doxytag: member="Ogre::SkeletonSerializer::readBoneParent" ref="f14f5ac058e7a0ca7aad4cd349726683" args="(DataStreamPtr &amp;stream, Skeleton *pSkel)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::SkeletonSerializer::readBoneParent           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>stream</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Skeleton.html">Skeleton</a> *&nbsp;</td>
          <td class="paramname"> <em>pSkel</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="f6e9b9a30c652634386f15b827e7c917"></a><!-- doxytag: member="Ogre::SkeletonSerializer::readAnimation" ref="f6e9b9a30c652634386f15b827e7c917" args="(DataStreamPtr &amp;stream, Skeleton *pSkel)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::SkeletonSerializer::readAnimation           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>stream</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Skeleton.html">Skeleton</a> *&nbsp;</td>
          <td class="paramname"> <em>pSkel</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="d0ef954a9e60c354fc40b66299be0fa3"></a><!-- doxytag: member="Ogre::SkeletonSerializer::readAnimationTrack" ref="d0ef954a9e60c354fc40b66299be0fa3" args="(DataStreamPtr &amp;stream, Animation *anim, Skeleton *pSkel)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::SkeletonSerializer::readAnimationTrack           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>stream</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Animation.html">Animation</a> *&nbsp;</td>
          <td class="paramname"> <em>anim</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Skeleton.html">Skeleton</a> *&nbsp;</td>
          <td class="paramname"> <em>pSkel</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="1c1db3df49de0e99ec6b660cee0514a5"></a><!-- doxytag: member="Ogre::SkeletonSerializer::readKeyFrame" ref="1c1db3df49de0e99ec6b660cee0514a5" args="(DataStreamPtr &amp;stream, NodeAnimationTrack *track, Skeleton *pSkel)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::SkeletonSerializer::readKeyFrame           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>stream</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1NodeAnimationTrack.html">NodeAnimationTrack</a> *&nbsp;</td>
          <td class="paramname"> <em>track</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Skeleton.html">Skeleton</a> *&nbsp;</td>
          <td class="paramname"> <em>pSkel</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="2bb3ca4a90d52b50d6391196b56eafd6"></a><!-- doxytag: member="Ogre::SkeletonSerializer::readSkeletonAnimationLink" ref="2bb3ca4a90d52b50d6391196b56eafd6" args="(DataStreamPtr &amp;stream, Skeleton *pSkel)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::SkeletonSerializer::readSkeletonAnimationLink           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>stream</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Skeleton.html">Skeleton</a> *&nbsp;</td>
          <td class="paramname"> <em>pSkel</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="44ba3d49d4a7981bcb5ed250dccd216e"></a><!-- doxytag: member="Ogre::SkeletonSerializer::calcBoneSize" ref="44ba3d49d4a7981bcb5ed250dccd216e" args="(const Skeleton *pSkel, const Bone *pBone)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t Ogre::SkeletonSerializer::calcBoneSize           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Skeleton.html">Skeleton</a> *&nbsp;</td>
          <td class="paramname"> <em>pSkel</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Bone.html">Bone</a> *&nbsp;</td>
          <td class="paramname"> <em>pBone</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="0978b79b95cc3ef2dc77b1f06850bd98"></a><!-- doxytag: member="Ogre::SkeletonSerializer::calcBoneSizeWithoutScale" ref="0978b79b95cc3ef2dc77b1f06850bd98" args="(const Skeleton *pSkel, const Bone *pBone)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t Ogre::SkeletonSerializer::calcBoneSizeWithoutScale           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Skeleton.html">Skeleton</a> *&nbsp;</td>
          <td class="paramname"> <em>pSkel</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Bone.html">Bone</a> *&nbsp;</td>
          <td class="paramname"> <em>pBone</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="ab3eb6d1331193108855d00e48006ef3"></a><!-- doxytag: member="Ogre::SkeletonSerializer::calcBoneParentSize" ref="ab3eb6d1331193108855d00e48006ef3" args="(const Skeleton *pSkel)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t Ogre::SkeletonSerializer::calcBoneParentSize           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Skeleton.html">Skeleton</a> *&nbsp;</td>
          <td class="paramname"> <em>pSkel</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="e71c1e64090d98c6802f7c8887dbd546"></a><!-- doxytag: member="Ogre::SkeletonSerializer::calcAnimationSize" ref="e71c1e64090d98c6802f7c8887dbd546" args="(const Skeleton *pSkel, const Animation *pAnim)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t Ogre::SkeletonSerializer::calcAnimationSize           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Skeleton.html">Skeleton</a> *&nbsp;</td>
          <td class="paramname"> <em>pSkel</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Animation.html">Animation</a> *&nbsp;</td>
          <td class="paramname"> <em>pAnim</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="1438e602e95c72e7550b33e69ce79b4b"></a><!-- doxytag: member="Ogre::SkeletonSerializer::calcAnimationTrackSize" ref="1438e602e95c72e7550b33e69ce79b4b" args="(const Skeleton *pSkel, const NodeAnimationTrack *pTrack)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t Ogre::SkeletonSerializer::calcAnimationTrackSize           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Skeleton.html">Skeleton</a> *&nbsp;</td>
          <td class="paramname"> <em>pSkel</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1NodeAnimationTrack.html">NodeAnimationTrack</a> *&nbsp;</td>
          <td class="paramname"> <em>pTrack</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="a2578877105d55d56d9b6932fd6464f2"></a><!-- doxytag: member="Ogre::SkeletonSerializer::calcKeyFrameSize" ref="a2578877105d55d56d9b6932fd6464f2" args="(const Skeleton *pSkel, const TransformKeyFrame *pKey)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t Ogre::SkeletonSerializer::calcKeyFrameSize           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Skeleton.html">Skeleton</a> *&nbsp;</td>
          <td class="paramname"> <em>pSkel</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1TransformKeyFrame.html">TransformKeyFrame</a> *&nbsp;</td>
          <td class="paramname"> <em>pKey</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="c803922dbab28296351aa299596b0de4"></a><!-- doxytag: member="Ogre::SkeletonSerializer::calcKeyFrameSizeWithoutScale" ref="c803922dbab28296351aa299596b0de4" args="(const Skeleton *pSkel, const TransformKeyFrame *pKey)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t Ogre::SkeletonSerializer::calcKeyFrameSizeWithoutScale           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Skeleton.html">Skeleton</a> *&nbsp;</td>
          <td class="paramname"> <em>pSkel</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1TransformKeyFrame.html">TransformKeyFrame</a> *&nbsp;</td>
          <td class="paramname"> <em>pKey</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="c9ee56e3a1eabea3db18484e3617f75c"></a><!-- doxytag: member="Ogre::SkeletonSerializer::calcSkeletonAnimationLinkSize" ref="c9ee56e3a1eabea3db18484e3617f75c" args="(const Skeleton *pSkel, const LinkedSkeletonAnimationSource &amp;link)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t Ogre::SkeletonSerializer::calcSkeletonAnimationLinkSize           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Skeleton.html">Skeleton</a> *&nbsp;</td>
          <td class="paramname"> <em>pSkel</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="structOgre_1_1LinkedSkeletonAnimationSource.html">LinkedSkeletonAnimationSource</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>link</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="7a25395a380ecdda85b1baeacf4a8a07"></a><!-- doxytag: member="Ogre::SkeletonSerializer::writeFileHeader" ref="7a25395a380ecdda85b1baeacf4a8a07" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::Serializer::writeFileHeader           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [protected, virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="fa565aa6d4619af064a12f470539e575"></a><!-- doxytag: member="Ogre::SkeletonSerializer::writeChunkHeader" ref="fa565aa6d4619af064a12f470539e575" args="(uint16 id, size_t size)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::Serializer::writeChunkHeader           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a8263b218e7d187ad5ef03a73a6ad7fd">uint16</a>&nbsp;</td>
          <td class="paramname"> <em>id</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>size</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [protected, virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="eab7d76e6f420e1be6e6c60d9b12a6c6"></a><!-- doxytag: member="Ogre::SkeletonSerializer::writeFloats" ref="eab7d76e6f420e1be6e6c60d9b12a6c6" args="(const float *const pfloat, size_t count)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Serializer::writeFloats           </td>
          <td>(</td>
          <td class="paramtype">const float *const &nbsp;</td>
          <td class="paramname"> <em>pfloat</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>count</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="063a40c4984f04d0ddf41096a5ffd9b5"></a><!-- doxytag: member="Ogre::SkeletonSerializer::writeFloats" ref="063a40c4984f04d0ddf41096a5ffd9b5" args="(const double *const pfloat, size_t count)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Serializer::writeFloats           </td>
          <td>(</td>
          <td class="paramtype">const double *const &nbsp;</td>
          <td class="paramname"> <em>pfloat</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>count</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="dd3fca628a66fa8f58db9a98bfbee78e"></a><!-- doxytag: member="Ogre::SkeletonSerializer::writeShorts" ref="dd3fca628a66fa8f58db9a98bfbee78e" args="(const uint16 *const pShort, size_t count)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Serializer::writeShorts           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#a8263b218e7d187ad5ef03a73a6ad7fd">uint16</a> *const &nbsp;</td>
          <td class="paramname"> <em>pShort</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>count</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="8191e338697b554a8ccf4fc16fd4a47e"></a><!-- doxytag: member="Ogre::SkeletonSerializer::writeInts" ref="8191e338697b554a8ccf4fc16fd4a47e" args="(const uint32 *const pInt, size_t count)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Serializer::writeInts           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#df2a0cf2e77143b5ee1d38a75e289545">uint32</a> *const &nbsp;</td>
          <td class="paramname"> <em>pInt</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>count</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="4f7209961701f9c90c5e48f264394d48"></a><!-- doxytag: member="Ogre::SkeletonSerializer::writeBools" ref="4f7209961701f9c90c5e48f264394d48" args="(const bool *const pLong, size_t count)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Serializer::writeBools           </td>
          <td>(</td>
          <td class="paramtype">const bool *const &nbsp;</td>
          <td class="paramname"> <em>pLong</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>count</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="c76c37d13ca53e5af9c146c546d0f401"></a><!-- doxytag: member="Ogre::SkeletonSerializer::writeObject" ref="c76c37d13ca53e5af9c146c546d0f401" args="(const Vector3 &amp;vec)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Serializer::writeObject           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>vec</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="3152bb5fb33d99dff568b6d03d6c25e0"></a><!-- doxytag: member="Ogre::SkeletonSerializer::writeObject" ref="3152bb5fb33d99dff568b6d03d6c25e0" args="(const Quaternion &amp;q)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Serializer::writeObject           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>q</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="5ee71fde1e0d85bd15172b023474174e"></a><!-- doxytag: member="Ogre::SkeletonSerializer::writeString" ref="5ee71fde1e0d85bd15172b023474174e" args="(const String &amp;string)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Serializer::writeString           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>string</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="3eb5614dd7d87ce109d74f5bb6f07b0f"></a><!-- doxytag: member="Ogre::SkeletonSerializer::writeData" ref="3eb5614dd7d87ce109d74f5bb6f07b0f" args="(const void *const buf, size_t size, size_t count)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Serializer::writeData           </td>
          <td>(</td>
          <td class="paramtype">const void *const &nbsp;</td>
          <td class="paramname"> <em>buf</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>size</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>count</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="5fcbfcf0fdacd57eed50bd4ec1d39248"></a><!-- doxytag: member="Ogre::SkeletonSerializer::readFileHeader" ref="5fcbfcf0fdacd57eed50bd4ec1d39248" args="(DataStreamPtr &amp;stream)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::Serializer::readFileHeader           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>stream</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [protected, virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="333f02260ebafef1648f5824a60e499d"></a><!-- doxytag: member="Ogre::SkeletonSerializer::readChunk" ref="333f02260ebafef1648f5824a60e499d" args="(DataStreamPtr &amp;stream)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual unsigned short Ogre::Serializer::readChunk           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>stream</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [protected, virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="95ed554722facb385f7fa3b53622356b"></a><!-- doxytag: member="Ogre::SkeletonSerializer::readBools" ref="95ed554722facb385f7fa3b53622356b" args="(DataStreamPtr &amp;stream, bool *pDest, size_t count)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Serializer::readBools           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>stream</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool *&nbsp;</td>
          <td class="paramname"> <em>pDest</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>count</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="3d7fb441425335ae97b4a157179db336"></a><!-- doxytag: member="Ogre::SkeletonSerializer::readFloats" ref="3d7fb441425335ae97b4a157179db336" args="(DataStreamPtr &amp;stream, float *pDest, size_t count)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Serializer::readFloats           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>stream</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float *&nbsp;</td>
          <td class="paramname"> <em>pDest</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>count</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="ec3cb2bc0bd8a31fc799323777881662"></a><!-- doxytag: member="Ogre::SkeletonSerializer::readFloats" ref="ec3cb2bc0bd8a31fc799323777881662" args="(DataStreamPtr &amp;stream, double *pDest, size_t count)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Serializer::readFloats           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>stream</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">double *&nbsp;</td>
          <td class="paramname"> <em>pDest</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>count</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="9c2e328bda8cc2e0ae7f202ad643f0d2"></a><!-- doxytag: member="Ogre::SkeletonSerializer::readShorts" ref="9c2e328bda8cc2e0ae7f202ad643f0d2" args="(DataStreamPtr &amp;stream, uint16 *pDest, size_t count)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Serializer::readShorts           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>stream</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a8263b218e7d187ad5ef03a73a6ad7fd">uint16</a> *&nbsp;</td>
          <td class="paramname"> <em>pDest</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>count</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="8ac6fb727f1d63972b17269d473dfbe6"></a><!-- doxytag: member="Ogre::SkeletonSerializer::readInts" ref="8ac6fb727f1d63972b17269d473dfbe6" args="(DataStreamPtr &amp;stream, uint32 *pDest, size_t count)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Serializer::readInts           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>stream</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#df2a0cf2e77143b5ee1d38a75e289545">uint32</a> *&nbsp;</td>
          <td class="paramname"> <em>pDest</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>count</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="1bd2ca7c8454264f1bffe703bfe5935d"></a><!-- doxytag: member="Ogre::SkeletonSerializer::readObject" ref="1bd2ca7c8454264f1bffe703bfe5935d" args="(DataStreamPtr &amp;stream, Vector3 &amp;pDest)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Serializer::readObject           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>stream</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>pDest</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="13a9f1111633227f422fef070f6008f6"></a><!-- doxytag: member="Ogre::SkeletonSerializer::readObject" ref="13a9f1111633227f422fef070f6008f6" args="(DataStreamPtr &amp;stream, Quaternion &amp;pDest)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Serializer::readObject           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>stream</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>pDest</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="235a4bb6da1fe66326b1c05678ad878f"></a><!-- doxytag: member="Ogre::SkeletonSerializer::readString" ref="235a4bb6da1fe66326b1c05678ad878f" args="(DataStreamPtr &amp;stream)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> Ogre::Serializer::readString           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>stream</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="a8ed220a17c4edb0ed32f925fbe837f6"></a><!-- doxytag: member="Ogre::SkeletonSerializer::readString" ref="a8ed220a17c4edb0ed32f925fbe837f6" args="(DataStreamPtr &amp;stream, size_t numChars)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> Ogre::Serializer::readString           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>stream</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>numChars</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="61ff1a3d78ef5d23cabe1322a438ea22"></a><!-- doxytag: member="Ogre::SkeletonSerializer::flipToLittleEndian" ref="61ff1a3d78ef5d23cabe1322a438ea22" args="(void *pData, size_t size, size_t count=1)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::Serializer::flipToLittleEndian           </td>
          <td>(</td>
          <td class="paramtype">void *&nbsp;</td>
          <td class="paramname"> <em>pData</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>size</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>count</em> = <code>1</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [protected, virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="5beba950e3b4635070b3bb8eb41c408c"></a><!-- doxytag: member="Ogre::SkeletonSerializer::flipFromLittleEndian" ref="5beba950e3b4635070b3bb8eb41c408c" args="(void *pData, size_t size, size_t count=1)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::Serializer::flipFromLittleEndian           </td>
          <td>(</td>
          <td class="paramtype">void *&nbsp;</td>
          <td class="paramname"> <em>pData</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>size</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>count</em> = <code>1</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [protected, virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="405c917e6b188b6d6ead13678295232f"></a><!-- doxytag: member="Ogre::SkeletonSerializer::flipEndian" ref="405c917e6b188b6d6ead13678295232f" args="(void *pData, size_t size, size_t count)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::Serializer::flipEndian           </td>
          <td>(</td>
          <td class="paramtype">void *&nbsp;</td>
          <td class="paramname"> <em>pData</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>size</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>count</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [protected, virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="89070a1dc03c189077deabce47120165"></a><!-- doxytag: member="Ogre::SkeletonSerializer::flipEndian" ref="89070a1dc03c189077deabce47120165" args="(void *pData, size_t size)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::Serializer::flipEndian           </td>
          <td>(</td>
          <td class="paramtype">void *&nbsp;</td>
          <td class="paramname"> <em>pData</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>size</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [protected, virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="93f9ec041b52aa6066fd0063733506b6"></a><!-- doxytag: member="Ogre::SkeletonSerializer::determineEndianness" ref="93f9ec041b52aa6066fd0063733506b6" args="(DataStreamPtr &amp;stream)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::Serializer::determineEndianness           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>stream</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [protected, virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Determine the endianness of the incoming stream compared to native. 
<p>

</div>
</div><p>
<a class="anchor" name="61f017bac1e2b407925576284bc7665b"></a><!-- doxytag: member="Ogre::SkeletonSerializer::determineEndianness" ref="61f017bac1e2b407925576284bc7665b" args="(Endian requestedEndian)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::Serializer::determineEndianness           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Serializer.html#5122d5a3161fb5fd819d9a0521fe9d39">Endian</a>&nbsp;</td>
          <td class="paramname"> <em>requestedEndian</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [protected, virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Determine the endianness to write with based on option. 
<p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="6331ceec847b83fed77165c9522eaa4f"></a><!-- doxytag: member="Ogre::SkeletonSerializer::mCurrentstreamLen" ref="6331ceec847b83fed77165c9522eaa4f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#df2a0cf2e77143b5ee1d38a75e289545">uint32</a> <a class="el" href="classOgre_1_1Serializer.html#6331ceec847b83fed77165c9522eaa4f">Ogre::Serializer::mCurrentstreamLen</a><code> [protected, inherited]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreSerializer_8h-source.html#l00064">64</a> of file <a class="el" href="OgreSerializer_8h-source.html">OgreSerializer.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="adee4932c73bfbcb3104245bbba4b50f"></a><!-- doxytag: member="Ogre::SkeletonSerializer::mpfFile" ref="adee4932c73bfbcb3104245bbba4b50f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">FILE* <a class="el" href="classOgre_1_1Serializer.html#adee4932c73bfbcb3104245bbba4b50f">Ogre::Serializer::mpfFile</a><code> [protected, inherited]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreSerializer_8h-source.html#l00065">65</a> of file <a class="el" href="OgreSerializer_8h-source.html">OgreSerializer.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="45b8d6fa3d3c64b3ab3dfe3a5084e3b4"></a><!-- doxytag: member="Ogre::SkeletonSerializer::mVersion" ref="45b8d6fa3d3c64b3ab3dfe3a5084e3b4" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1Serializer.html#45b8d6fa3d3c64b3ab3dfe3a5084e3b4">Ogre::Serializer::mVersion</a><code> [protected, inherited]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreSerializer_8h-source.html#l00066">66</a> of file <a class="el" href="OgreSerializer_8h-source.html">OgreSerializer.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="a0773a2ca956fa2864ac50f57d0aa9a2"></a><!-- doxytag: member="Ogre::SkeletonSerializer::mFlipEndian" ref="a0773a2ca956fa2864ac50f57d0aa9a2" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1Serializer.html#a0773a2ca956fa2864ac50f57d0aa9a2">Ogre::Serializer::mFlipEndian</a><code> [protected, inherited]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreSerializer_8h-source.html#l00067">67</a> of file <a class="el" href="OgreSerializer_8h-source.html">OgreSerializer.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreSkeletonSerializer_8h-source.html">OgreSkeletonSerializer.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:54:01 2008
</p>
</body>
</html>
